Subject: Ticket Assigned - Click & Collect
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Tue, 10 Nov 2020 23:43:34 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Today I tried to take my order from
Choitrams Al Ain near Mediclinic hospital. The staff there was very very very extremely super rude!!! He is the in charge there. He said your tablet is not updated so he cant release the item. He turned his back on me after. No explanations! I have to run behind me. I did not get the item. Super disappointed! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1673510